| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
MPE::SectionTracker Class Reference
MPEEngine

Tracks sections of EM::EMObject with ID EM::SectionID. More...

`#include <sectiontracker.h>`

## Public Member Functions
| SectionTracker (EM::EMObject &, SectionSourceSelector *=nullptr, SectionExtender *=nullptr, SectionAdjuster *=nullptr)
| SectionTracker (EM::EMObject &emobj, const EM::SectionID &, SectionSourceSelector *=nullptr, SectionExtender *=nullptr, SectionAdjuster *=nullptr)
virtual | ~SectionTracker ()
virtual bool | adjust ()
SectionAdjuster * | adjuster ()
const SectionAdjuster * | adjuster () const
bool | adjusterUsed () const
RefMan< EM::EMObject > | emObject ()
ConstRefMan< EM::EMObject > | emObject () const
const char * | errMsg () const
virtual bool | extend ()
SectionExtender * | extender ()
const SectionExtender * | extender () const
void | fillPar (IOPar &) const
virtual TrcKeyZSampling | getAttribCube (const Attrib::SelSpec &) const
const Attrib::SelSpec & | getDisplaySpec () const
void | getNeededAttribs (TypeSet< Attrib::SelSpec > &) const
bool | hasInitializedSetup () const
virtual bool | init ()
bool | propagatingFromSeedOnly () const
void | reset ()
mDeprecatedObs EM::SectionID | sectionID () const
virtual bool | select ()
SectionSourceSelector * | selector ()
const SectionSourceSelector * | selector () const
void | setDisplaySpec (const Attrib::SelSpec &)
void | setSeedOnlyPropagation (bool yn)
void | setSetupID (const MultiID &id)
const MultiID & | setupID () const
void | useAdjuster (bool yn)
bool | usePar (const IOPar &)

## Protected Member Functions
void | getLockedSeeds (TypeSet< EM::SubID > &lockedseeds)

## Protected Attributes
SectionAdjuster * | adjuster_
Attrib::SelSpec & | displayas_
WeakPtr< EM::EMObject > | emobject_
BufferString | errmsg_
SectionExtender * | extender_
bool | seedonlypropagation_ = false
SectionSourceSelector * | selector_
MultiID | setupid_
EM::SectionID | sid_ = EM::SectionID::def()
bool | useadjuster_ = true

## Static Protected Attributes
static const char * | seedonlypropstr
static const char * | trackerstr
static const char * | useadjusterstr

## Detailed Description

Tracks sections of EM::EMObject with ID EM::SectionID.

<>

## Constructor & Destructor Documentation

## ◆ SectionTracker() [1/2]

MPE::SectionTracker::SectionTracker | ( | EM::EMObject & | ,
|  | SectionSourceSelector * | = nullptr,
|  | SectionExtender * | = nullptr,
|  | SectionAdjuster * | = nullptr )

## ◆ ~SectionTracker()

virtual MPE::SectionTracker::~SectionTracker | ( |  | ) |
| virtual

## ◆ SectionTracker() [2/2]

MPE::SectionTracker::SectionTracker | ( | EM::EMObject & | emobj,
|  | const EM::SectionID & | ,
|  | SectionSourceSelector * | = nullptr,
|  | SectionExtender * | = nullptr,
|  | SectionAdjuster * | = nullptr )

## Member Function Documentation

## ◆ adjust()

virtual bool MPE::SectionTracker::adjust | ( |  | ) |
| virtual

## ◆ adjuster() [1/2]

SectionAdjuster * MPE::SectionTracker::adjuster | ( |  | ) |

## ◆ adjuster() [2/2]

const SectionAdjuster * MPE::SectionTracker::adjuster | ( |  | ) | const

## ◆ adjusterUsed()

bool MPE::SectionTracker::adjusterUsed | ( |  | ) | const

## ◆ emObject() [1/2]

RefMan< EM::EMObject > MPE::SectionTracker::emObject | ( |  | ) |

## ◆ emObject() [2/2]

ConstRefMan< EM::EMObject > MPE::SectionTracker::emObject | ( |  | ) | const

## ◆ errMsg()

const char * MPE::SectionTracker::errMsg | ( |  | ) | const

## ◆ extend()

virtual bool MPE::SectionTracker::extend | ( |  | ) |
| virtual

## ◆ extender() [1/2]

SectionExtender * MPE::SectionTracker::extender | ( |  | ) |

## ◆ extender() [2/2]

const SectionExtender * MPE::SectionTracker::extender | ( |  | ) | const

## ◆ fillPar()

void MPE::SectionTracker::fillPar | ( | IOPar & |  | ) | const

## ◆ getAttribCube()

virtual TrcKeyZSampling MPE::SectionTracker::getAttribCube | ( | const Attrib::SelSpec & |  | ) | const
| virtual

## ◆ getDisplaySpec()

const Attrib::SelSpec & MPE::SectionTracker::getDisplaySpec | ( |  | ) | const

## ◆ getLockedSeeds()

void MPE::SectionTracker::getLockedSeeds | ( | TypeSet< EM::SubID > & | lockedseeds | ) |
| protected

## ◆ getNeededAttribs()

void MPE::SectionTracker::getNeededAttribs | ( | TypeSet< Attrib::SelSpec > & |  | ) | const

## ◆ hasInitializedSetup()

bool MPE::SectionTracker::hasInitializedSetup | ( |  | ) | const

## ◆ init()

virtual bool MPE::SectionTracker::init | ( |  | ) |
| virtual

## ◆ propagatingFromSeedOnly()

bool MPE::SectionTracker::propagatingFromSeedOnly | ( |  | ) | const

## ◆ reset()

void MPE::SectionTracker::reset | ( |  | ) |

## ◆ sectionID()

mDeprecatedObs EM::SectionID MPE::SectionTracker::sectionID | ( |  | ) | const

## ◆ select()

virtual bool MPE::SectionTracker::select | ( |  | ) |
| virtual

## ◆ selector() [1/2]

SectionSourceSelector * MPE::SectionTracker::selector | ( |  | ) |

## ◆ selector() [2/2]

const SectionSourceSelector * MPE::SectionTracker::selector | ( |  | ) | const

## ◆ setDisplaySpec()

void MPE::SectionTracker::setDisplaySpec | ( | const Attrib::SelSpec & |  | ) |

## ◆ setSeedOnlyPropagation()

void MPE::SectionTracker::setSeedOnlyPropagation | ( | bool | yn | ) |

## ◆ setSetupID()

void MPE::SectionTracker::setSetupID | ( | const MultiID & | id | ) |

## ◆ setupID()

const MultiID & MPE::SectionTracker::setupID | ( |  | ) | const

## ◆ useAdjuster()

void MPE::SectionTracker::useAdjuster | ( | bool | yn | ) |

## ◆ usePar()

bool MPE::SectionTracker::usePar | ( | const IOPar & |  | ) |

## Member Data Documentation

## ◆ adjuster_

SectionAdjuster* MPE::SectionTracker::adjuster_
| protected

## ◆ displayas_

Attrib::SelSpec& MPE::SectionTracker::displayas_
| protected

## ◆ emobject_

WeakPtr<EM::EMObject> MPE::SectionTracker::emobject_
| protected

## ◆ errmsg_

BufferString MPE::SectionTracker::errmsg_
| protected

## ◆ extender_

SectionExtender* MPE::SectionTracker::extender_
| protected

## ◆ seedonlypropagation_

bool MPE::SectionTracker::seedonlypropagation_ = false
| protected

## ◆ seedonlypropstr

const char* MPE::SectionTracker::seedonlypropstr
| static protected

## ◆ selector_

SectionSourceSelector* MPE::SectionTracker::selector_
| protected

## ◆ setupid_

MultiID MPE::SectionTracker::setupid_
| protected

## ◆ sid_

EM::SectionID MPE::SectionTracker::sid_ = EM::SectionID::def()
| protected

## ◆ trackerstr

const char* MPE::SectionTracker::trackerstr
| static protected

## ◆ useadjuster_

bool MPE::SectionTracker::useadjuster_ = true
| protected

## ◆ useadjusterstr

const char* MPE::SectionTracker::useadjusterstr
| static protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025